Execute a bulk action Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/bulk-actions/execute

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • type string

    The name of the bulk action to perform. Options:linked_policy_numbers_delete, tasks_archive, tasks_attach, tasks_complete, tasks_delete, tasks_detach, tasks_due_date, tasks_priority, tasks_status, tasks_sync and tasks_taskable. * "tasks_complete" allows for the mass completion of tasks. * "tasks_delete" allows for the mass deletion of tasks. * "tasks_sync" is intended for syncing the chosen tasks with the selected accounts (This will overwrite any members previously selected with the newly chosen members.). * "tasks_attach" is intended for attaching the chosen members to the selected tasks. * "tasks_detach" is intended for detaching the chosen members from the selected tasks. * "tasks_archive" is intended for archiving the chosen tasks.

    Value Description
    linked_policy_numbers_delete Delete Linked Policy Numbers
    tasks_archive Archive Tasks
    tasks_attach Attach Assignee To Tasks
    tasks_complete Complete Tasks
    tasks_delete Delete Tasks
    tasks_detach Detach Assignee From Tasks
    tasks_due_date Update Due Date On Tasks
    tasks_priority Prioritise Tasks
    tasks_status Update Status On Tasks
    tasks_sync Sync Assignees On Tasks
    tasks_taskable Update Taskable On Tasks

    Values are linked_policy_numbers_delete, tasks_archive, tasks_attach, tasks_complete, tasks_delete, tasks_detach, tasks_due_date, tasks_priority, tasks_status, tasks_sync, or tasks_taskable.

  • is_recursive boolean

    Only used for task bulk actions, whether to perform the bulk action recursively over all sub-tasks.

  • items array Required

    The items to perform the bulk action on. Send an array with a single * value instead of an array to select all items. Use filter to constrain all items.

  • filters object

    The filters to apply to the bulk action. These can only be used on a catch-all bulk action.

    Hide filters attributes Show filters attributes object
    • taskable_uuid string(uuid)

      Filter by uuid

    • taskable_type string

      Taskable type

      Values are client, employee, case, or plan.

  • data object

    Optional data reserved for specific bulk action requirements.

    Additional properties are allowed.

Responses

  • 200 application/json
POST /api/v1/bulk-actions/execute
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/bulk-actions/execute' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"type":"linked_policy_numbers_delete","is_recursive":true,"items":["4e1e34a6-e228-4b5a-a816-17fb8ab5582e","277b7bee-ce3c-4d5e-a4f4-db5eb38069a3"],"filters":{"taskable_uuid":"ecfc726a-e04c-4a31-9a2a-1361a49c3aa0","taskable_type":"client"},"data":{}}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "type": "linked_policy_numbers_delete",
  "is_recursive": true,
  "items": [
    "4e1e34a6-e228-4b5a-a816-17fb8ab5582e",
    "277b7bee-ce3c-4d5e-a4f4-db5eb38069a3"
  ],
  "filters": {
    "taskable_uuid": "ecfc726a-e04c-4a31-9a2a-1361a49c3aa0",
    "taskable_type": "client"
  },
  "data": {}
}
Response examples (200)
{}